Overview | Modules | Class Hierarchy | Classes | Members

Signals | Public Member Functions
tlp::PropertyConfigurationWidget Class Reference

Configuration widget for a property. More...

`#include <CSVImportConfigurationWidget.h>`

List of all members.

## Signals

- void propertyNameChange (QString newName)
- void stateChange (bool state)

## Public Member Functions

- PropertyConfigurationWidget (unsigned int propertyNumber, const QString &propertyName, bool propertyNameIsEditable, const std::string &PropertyType, QWidget *parent=NULL)
- std::string getPropertyType () const
- void setPropertyType (const std::string &propertyType)
    Change the type of the property. Use the PropertyClass::propertyTypename static var.
- QString getPropertyName () const
- bool getPropertyUsed () const
- void setPropertyNameValidator (QValidator *validator)
    Set the property name validator. Use to chek if entered graph name is valid.
- unsigned int getPropertyNumber () const
- QLineEdit * getNameLineEdit ()
- QComboBox * getTypeComboBox ()
- QCheckBox * getCheckBox ()

## Detailed Description

Configuration widget for a property.

## Constructor & Destructor Documentation

tlp::PropertyConfigurationWidget::PropertyConfigurationWidget | ( | unsigned int | propertyNumber,
|  | const QString & | propertyName,
|  | bool | propertyNameIsEditable,
|  | const std::string & | PropertyType,
|  | QWidget * | parent = `NULL`
| ) |  |

## Member Function Documentation

QCheckBox* tlp::PropertyConfigurationWidget::getCheckBox | ( |  | ) | `[inline]`

QLineEdit* tlp::PropertyConfigurationWidget::getNameLineEdit | ( |  | ) | `[inline]`

QString tlp::PropertyConfigurationWidget::getPropertyName | ( |  | ) | const

unsigned int tlp::PropertyConfigurationWidget::getPropertyNumber | ( |  | ) | const

std::string tlp::PropertyConfigurationWidget::getPropertyType | ( |  | ) | const

Return the selected property type. The property type is not the label displayed in the combobox but correspond to the Property::propertyTypename static string variable of the property class.

bool tlp::PropertyConfigurationWidget::getPropertyUsed | ( |  | ) | const

QComboBox* tlp::PropertyConfigurationWidget::getTypeComboBox | ( |  | ) | `[inline]`

void tlp::PropertyConfigurationWidget::propertyNameChange | ( | QString | newName | ) | `[signal]`

void tlp::PropertyConfigurationWidget::setPropertyNameValidator | ( | QValidator * | validator | ) |

Set the property name validator. Use to chek if entered graph name is valid.

void tlp::PropertyConfigurationWidget::setPropertyType | ( | const std::string & | propertyType | ) |

Change the type of the property. Use the PropertyClass::propertyTypename static var.

void tlp::PropertyConfigurationWidget::stateChange | ( | bool | state | ) | `[signal]`

Tulip Software by LaBRI Visualization Team 2001 - 2012